openSUSE2021:0487-1: important: Security update for MozillaFirefox

openSUSE Security Update: Security update for MozillaFirefox ______________________________________________________________________________
Announcement ID: openSUSE-SU-2021:0487-1 Rating: important References: #1183942 Cross-References: CVE-2021-23981 CVE-2021-23982 CVE-2021-23984 CVE-2021-23987 Affected Products: openSUSE Leap 15.2 ______________________________________________________________________________
An update that fixes four vulnerabilities is now available.
Description:
This update for MozillaFirefox fixes the following issues:
– Firefox was updated to 78.9.0 ESR (MFSA 2021-11, bsc#1183942) * CVE-2021-23981: Texture upload into an unbound backing buffer resulted in an out-of-bound read * CVE-2021-23982: Internal network hosts could have been probed by a malicious webpage * CVE-2021-23984: Malicious extensions could have spoofed popup information * CVE-2021-23987: Memory safety bugs
This update was imported from the SUSE:SLE-15-SP2:Update update project.
Patch Instructions:
To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or “zypper patch”.
Alternatively you can run the command listed for your product:
– openSUSE Leap 15.2:
zypper in -t patch openSUSE-2021-487=1

Package List:
– openSUSE Leap 15.2 (x86_64):
MozillaFirefox-78.9.0-lp152.2.52.1 MozillaFirefox-branding-upstream-78.9.0-lp152.2.52.1 MozillaFirefox-buildsymbols-78.9.0-lp152.2.52.1 MozillaFirefox-debuginfo-78.9.0-lp152.2.52.1 MozillaFirefox-debugsource-78.9.0-lp152.2.52.1 MozillaFirefox-devel-78.9.0-lp152.2.52.1 MozillaFirefox-translations-common-78.9.0-lp152.2.52.1 MozillaFirefox-translations-other-78.9.0-lp152.2.52.1
References:
www.suse.com/security/cve/CVE-2021-23981.html www.suse.com/security/cve/CVE-2021-23982.html www.suse.com/security/cve/CVE-2021-23984.html www.suse.com/security/cve/CVE-2021-23987.html bugzilla.suse.com/1183942